2002-04-10  Erik Andersen  <andersen@dillweed>

	* /var/cvs/uClibc/ldso/ldso/powerpc/elfinterp.c:
	Teach powerpc to whine loudly about using -fPIC when a R_PPC_REL24
	is encountered...
	 -Erik

	* /var/cvs/uClibc/extra/Configs/Config.sparc:
	Mention pthreads for sparc

	* /var/cvs/uClibc/libpthread/linuxthreads/Makefile:
	Fix libpthread compile for sparc

	* /var/cvs/uClibc/libc/sysdeps/linux/common/ftruncate64.c, /var/cvs/uClibc/libc/sysdeps/linux/common/truncate64.c:
	Some minor updates per discussion with Miles Bader
	 -Erik

2002-04-10  ds  <ds@dillweed>

	* /var/cvs/uClibc/libc/sysdeps/linux/powerpc/brk.S, /var/cvs/uClibc/libc/sysdeps/linux/powerpc/bsd-_setjmp.S, /var/cvs/uClibc/libc/sysdeps/linux/powerpc/bsd-setjmp.S, /var/cvs/uClibc/libc/sysdeps/linux/powerpc/clone.S, /var/cvs/uClibc/libc/sysdeps/linux/powerpc/setjmp.S:
	Make assembly code PIC-compatible.

2002-04-10  miles  <miles@dillweed>

	* /var/cvs/uClibc/libc/sysdeps/linux/v850/Makefile:
	Remove v850-specific versions of truncate64.c and ftruncate64.c.

	* /var/cvs/uClibc/libc/sysdeps/linux/v850/ftruncate64.c, /var/cvs/uClibc/libc/sysdeps/linux/v850/truncate64.c:
	Generic implemention works for v850 now, so we don't need a special version.

2002-04-09  ds  <ds@dillweed>

	* /var/cvs/uClibc/ldso/ldso/powerpc/elfinterp.c:
	Removed handling for R_PPC_REL24, since it is deceptively useless.

2002-04-09  Erik Andersen  <andersen@dillweed>

	* /var/cvs/uClibc/libpthread/Makefile:
	Russ Dill noticed that the symlinks for libpthread didn't match
	the other links.  Fixed now.
	 -Erik

	* /var/cvs/uClibc/Rules.mak: Bump up version number...

	* /var/cvs/uClibc/libm/Makefile:
	Add finite() to C89 math lib, since it is needed...
	 -Erik

	* /var/cvs/uClibc/libc/sysdeps/linux/common/statfix64.h:
	Fixup __USE_FILE_OFFSET64

	* /var/cvs/uClibc/libc/sysdeps/linux/common/Makefile, /var/cvs/uClibc/libc/sysdeps/linux/common/creat64.c:
	Add creat64
	 -Erik

2002-04-09  mjn3  <mjn3@dillweed>

	* /var/cvs/uClibc/libc/stdio/stdio.c:
	Fix the read/write auto-transition bugs.  Note that if we can't
	auto-transition, we fail the operation.  This is different than glibc's
	apparent behavior for writing of clearing the read buffer and still
	failing the write without setting the stream's error flag.

	Also, change a number of "errno = xxx" assignments to use __set_errno().

	Also, change setvbuf(file, NULL, _IO{LF}BF, 0) behavior to more closely
	match glibc's by keeping the current buffer and only changing the buffering
	mode.  Update setlinebuf() in the process to match the man page behavior.

	* /var/cvs/uClibc/libc/unistd/getpass.c:
	Only set no buffering if we opened the file.  Also, don't bother restoring
	buffering since we will close the file in that case anyway.

2002-04-09  Erik Andersen  <andersen@dillweed>

	* /var/cvs/uClibc/libc/inet/rpc/clnt_perror.c:
	Re-enable clnt_perror.  Patch from Miles Bader.

	* /var/cvs/uClibc/libc/sysdeps/linux/common/Makefile: Add truncate64.c

	* /var/cvs/uClibc/libc/sysdeps/linux/common/ftruncate64.c, /var/cvs/uClibc/libc/sysdeps/linux/common/syscalls.c, /var/cvs/uClibc/libc/sysdeps/linux/common/truncate64.c:
	Remove from syscalls.c, leave just ftruncate64.c and truncate64.c
	which have implementations that works...
	 -Erik

2002-04-09  mjn3  <mjn3@dillweed>

	* /var/cvs/uClibc/libc/misc/ctype/ctype.c, /var/cvs/uClibc/libc/misc/ctype/ctype_C.c, /var/cvs/uClibc/libc/misc/locale/_locale.h, /var/cvs/uClibc/extra/locale/gen_ctype_from_glibc.c:
	Revert Erik's changes... they were broken since there weren't enough
	bits for the extra ISblank flag.  Instead, hardwire isblank() to not
	depend on locale for now.  At least it will work for space and tab
	in the immenent release.  This will all be blown away for the next
	release anyway, as I should be committing my new stuff in the next
	day or two.

2002-04-09  Erik Andersen  <andersen@dillweed>

	* /var/cvs/uClibc/libc/sysdeps/linux/common/Makefile, /var/cvs/uClibc/libc/sysdeps/linux/common/ftruncate64.c, /var/cvs/uClibc/libc/sysdeps/linux/i386/Makefile, /var/cvs/uClibc/libc/sysdeps/linux/i386/ftruncate64.c, /var/cvs/uClibc/libc/sysdeps/linux/arm/Makefile, /var/cvs/uClibc/libc/sysdeps/linux/arm/ftruncate64.c:
	Create a much more careful ftruncate64 implementation, that should
	address all the concern Miles had with the earlier versions...
	 -Erik

	* /var/cvs/uClibc/libc/unistd/getpass.c:
	Per discussion on the mailing list, fix getpass properly.
	 -Erik

	* /var/cvs/uClibc/extra/locale/gen_ctype_from_glibc.c, /var/cvs/uClibc/libc/misc/locale/_locale.h:
	Support ISblank properly

	* /var/cvs/uClibc/libc/sysdeps/linux/common/getrlimit64.c, /var/cvs/uClibc/libc/sysdeps/linux/common/setrlimit64.c, /var/cvs/uClibc/libc/misc/statfs/fstatfs64.c, /var/cvs/uClibc/libc/misc/dirent/alphasort64.c, /var/cvs/uClibc/libc/misc/dirent/readdir64.c, /var/cvs/uClibc/libc/misc/dirent/scandir64.c, /var/cvs/uClibc/libc/misc/glob/glob64.c:
	Avoid defining __USE_FILE_OFFSET64, since we do _NOT_ want
	interfaces silently renamed under us or very bad things may
	happen...
	 -Erik

	* /var/cvs/uClibc/libc/misc/statfs/statfs64.c, /var/cvs/uClibc/libc/sysdeps/linux/common/statfs64.c, /var/cvs/uClibc/libc/sysdeps/linux/common/Makefile:
	undefine __USE_FILE_OFFSET64, since we absolutely do _NOT_ want interfaces
	silently renamed under us or very bad things will happen.  In this case,
	statfs64() ended up recurively calling statfs64() instead of statfs()....
	 -Erik

2002-04-07  ds  <ds@dillweed>

	* /var/cvs/uClibc/debian/changelog, /var/cvs/uClibc/debian/rules:
	New Debian snapshot.  The release has ld.so for mips fubared.

2002-04-06  Erik Andersen  <andersen@dillweed>

	* /var/cvs/uClibc/docs/uclibc.org/uClibc-apps.html:
	Add libungif-4.1.0b1

2002-04-06  ds  <ds@dillweed>

	* /var/cvs/uClibc/debian/changelog, /var/cvs/uClibc/debian/libuclibc0.shlibs, /var/cvs/uClibc/debian/mksnapshot, /var/cvs/uClibc/debian/rules:
	Account for new upstream version.  Fix shlibs, because they were
	broken.  Add INCLUDE_THREADS to Config.

2002-04-06  Erik Andersen  <andersen@dillweed>

	* /var/cvs/uClibc/libc/unistd/swab.c:
	Faster implementation from Miles Bader

2002-04-05  Erik Andersen  <andersen@dillweed>

	* /var/cvs/uClibc/libc/unistd/getpass.c:
	Patch from Axel Barnitzke <barney@xkontor.com> to fixup
	a problem with getpass() echoing passwords...

	* /var/cvs/uClibc/libc/misc/error/error.c:
	Add a fun pointer to make apps happy

2002-04-03  Erik Andersen  <andersen@dillweed>

	* /var/cvs/uClibc/libc/sysdeps/linux/common/initfini.c, /var/cvs/uClibc/extra/scripts/initfini.pl:
	Teach initfini to build properly on arches where gcc tries to be
	sneaky behind our back...
	 -Erik

	* /var/cvs/uClibc/libc/sysdeps/linux/m68k/bits/setjmp.h:
	Revert this file back to where it was so m68k can compile again.
	Oops.  I'd hosed things up for m68k with the header file rework.
	 -Erik

	* /var/cvs/uClibc/docs/uclibc.org/uClibc-apps.html:
	A ton of updates from Dwayne Fontenot <fontenot@jacques.activebuddy.com>.
	Thanks Dwayne!

	* /var/cvs/uClibc/libc/misc/utmp/utent.c:
	Richard June <rjune@bravegnuworld.com> noticed that pututline
	was only writing the first sizeof-a-pointer bytes to the utmp
	file.  oops.
	 -Erik

	* /var/cvs/uClibc/libc/inet/resolv.c:
	Patch from Jim Treadway <jim@stardot-tech.com> to eliminate
	use of alarm() and therefore SIGARLM in the resolver and to
	instead use select, which is much cleaner.

	* /var/cvs/uClibc/libc/misc/utmp/utent.c:
	Richard June <rjune@bravegnuworld.com> noticed that setutent
	was only opening utmp readonly.  Oops.

	* /var/cvs/uClibc/extra/Configs/Config.powerpc:
	Since pthreads work on powerpc, at least mention the option.

	* /var/cvs/uClibc/libc/unistd/Makefile, /var/cvs/uClibc/libc/unistd/swab.c:
	Add the xopen swab() function, contributed by Kensuke Otake <kensuke@phreaker.net>

	* /var/cvs/uClibc/libc/sysdeps/linux/common/Makefile: Be certain that

	* /var/cvs/uClibc/libc/misc/glob/glob.c:
	Doh!  I forgot to commit this...

	* /var/cvs/uClibc/libc/pwd_grp/__getspent_r.c: Adjust beinning

	* /var/cvs/uClibc/test/crypt/Makefile, /var/cvs/uClibc/test/math/mtherr.c, /var/cvs/uClibc/test/math/Makefile, /var/cvs/uClibc/test/math/econst.c, /var/cvs/uClibc/test/math/eexp.c, /var/cvs/uClibc/test/math/ehead.h, /var/cvs/uClibc/test/math/elog.c, /var/cvs/uClibc/test/math/eparanoi.c, /var/cvs/uClibc/test/math/epow.c, /var/cvs/uClibc/test/math/etanh.c, /var/cvs/uClibc/test/math/etodec.c, /var/cvs/uClibc/test/math/ieee.c, /var/cvs/uClibc/test/math/ieetst.c, /var/cvs/uClibc/test/math/ieetst.doc, /var/cvs/uClibc/test/math/mconf.h:
	run dos2unix on these files

	* /var/cvs/uClibc/libc/sysdeps/linux/sh/_mmap.c, /var/cvs/uClibc/libc/sysdeps/linux/sh/crt0.S, /var/cvs/uClibc/libc/sysdeps/linux/sh/longjmp.c, /var/cvs/uClibc/libc/sysdeps/linux/sh/vfork.S:
	Run dos2unix on these files

	* /var/cvs/uClibc/Makefile: Remove gratuitous symlink trashing

	* /var/cvs/uClibc/ldso/ldso/powerpc/elfinterp.c: Remove unused variable
	 -Erik

	* /var/cvs/uClibc/ldso/ldso/ldso.c:
	Steven's patch contained a spare SEND_NUMBER_STDERR call that was
	spamming us.   Kill that.  My bad for not spotting that when merging.
	 -Erik

	* /var/cvs/uClibc/libc/sysdeps/linux/common/syscalls.c:
	m4@brecis.COM noticed a typing problem with the getuid syscall.  OOps.

2002-04-02  Erik Andersen  <andersen@dillweed>

	* /var/cvs/uClibc/ldso/ldso/mips/README, /var/cvs/uClibc/ldso/ldso/mips/boot1_arch.h, /var/cvs/uClibc/ldso/ldso/mips/elfinterp.c, /var/cvs/uClibc/ldso/ldso/mips/ld_syscalls.h, /var/cvs/uClibc/ldso/ldso/mips/ld_sysdep.h, /var/cvs/uClibc/ldso/ldso/ld_string.h, /var/cvs/uClibc/ldso/ldso/ld_syscall.h, /var/cvs/uClibc/ldso/ldso/ldso.c, /var/cvs/uClibc/ldso/ldso/readelflib1.c, /var/cvs/uClibc/Makefile:
	Steven J. Hill's latest mips dynamic loader updates

	* /var/cvs/uClibc/ldso/ldso/ld_string.h:
	Doh!  This is _still_ wrong.  Fix potential buffer overflow.
	 -Erik

2002-04-02  mjn3  <mjn3@dillweed>

	* /var/cvs/uClibc/libc/stdio/printf.c:
	Fix an arg promotion handling bug in _do_one_spec for %c reported
	by Ilguiz Latypov <ilatypov@superbt.com>.

2002-04-01  mjn3  <mjn3@dillweed>

	* /var/cvs/uClibc/libc/stdio/printf.c, /var/cvs/uClibc/libc/stdio/scanf.c:
	Forget to initialize thread locks for fake files.  Thanks Erik.

2002-04-01  Erik Andersen  <andersen@dillweed>

	* /var/cvs/uClibc/extra/Configs/uClibc_config_fix.pl:
	Last bit for old config system

	* /var/cvs/uClibc/libc/stdio/tempnam.c, /var/cvs/uClibc/libc/stdio/tmpfile.c, /var/cvs/uClibc/libc/stdio/tmpnam.c, /var/cvs/uClibc/libc/stdio/tmpnam_r.c, /var/cvs/uClibc/libc/stdlib/mkstemp.c, /var/cvs/uClibc/libc/stdlib/mkstemp64.c, /var/cvs/uClibc/libc/stdlib/mktemp.c, /var/cvs/uClibc/include/features.h, /var/cvs/uClibc/libc/misc/internals/tempname.c, /var/cvs/uClibc/libc/misc/internals/tempname.h:
	Remove function declartions from include/features.h, create
	a separate header file for those, and fixup references.
	 -Erik

	* /var/cvs/uClibc/libc/sysdeps/linux/h8300/bits/setjmp.h, /var/cvs/uClibc/libc/sysdeps/linux/h8300/bits/wordsize.h, /var/cvs/uClibc/libc/sysdeps/linux/h8300/bits/byteswap.h, /var/cvs/uClibc/libc/sysdeps/linux/h8300/bits/endian.h, /var/cvs/uClibc/libc/sysdeps/linux/h8300/bits/fcntl.h, /var/cvs/uClibc/libc/sysdeps/linux/h8300/bits/huge_val.h, /var/cvs/uClibc/libc/sysdeps/linux/h8300/bits/resource.h, /var/cvs/uClibc/include/stdint.h, /var/cvs/uClibc/libc/misc/internals/__uClibc_main.c:
	Patches from Yoshinori Sato <qzb04471@nifty.ne.jp> to fix h8300
	support for pthreads and update for the latest and greatest.

	* /var/cvs/uClibc/libc/sysdeps/linux/common/syscalls.c:
	Patch from Miles Bader to fix the spots I'd messed up.

2002-03-31  Erik Andersen  <andersen@dillweed>

	* /var/cvs/uClibc/libc/misc/glob/Makefile, /var/cvs/uClibc/libc/misc/glob/glob-hooks.c, /var/cvs/uClibc/libc/misc/glob/glob64.c:
	Add glob64.c, and add support for glob64 when large file is enabled.
	 -Erik

	* /var/cvs/uClibc/libc/stdio/tempnam.c, /var/cvs/uClibc/libc/stdio/tmpfile.c, /var/cvs/uClibc/libc/stdio/tmpnam.c, /var/cvs/uClibc/libc/stdio/tmpnam_r.c, /var/cvs/uClibc/libc/stdlib/Makefile, /var/cvs/uClibc/libc/stdlib/mkstemp.c, /var/cvs/uClibc/libc/stdlib/mkstemp64.c, /var/cvs/uClibc/libc/stdlib/mktemp.c, /var/cvs/uClibc/include/features.h, /var/cvs/uClibc/libc/misc/internals/tempname.c:
	Rework __gen_tempname() to better match glibc, and add mkstemp64(),
	which is needed for busybox ash when using largefile support.
	 -Erik

	* /var/cvs/uClibc/libc/sysdeps/linux/common/Makefile, /var/cvs/uClibc/libc/sysdeps/linux/common/getrlimit64.c, /var/cvs/uClibc/libc/sysdeps/linux/common/setrlimit64.c, /var/cvs/uClibc/libc/sysdeps/linux/common/statfs64.c, /var/cvs/uClibc/libc/sysdeps/linux/common/syscalls.c:
	Add support for getrlimit64 and setrlimit64.  Fix some problems
	with the getrlimit and setrlimit syscalls.
	 -Erik

	* /var/cvs/uClibc/libc/sysdeps/linux/arm/Makefile, /var/cvs/uClibc/libc/sysdeps/linux/arm/ftruncate64.c, /var/cvs/uClibc/libc/sysdeps/linux/i386/Makefile, /var/cvs/uClibc/libc/sysdeps/linux/i386/ftruncate64.c:
	Add in support for ftruncate64 on both ARM and x86
	 -Erik

2002-03-29  Erik Andersen  <andersen@dillweed>

	* /var/cvs/uClibc/ldso/ldso/mips/boot1_arch.h, /var/cvs/uClibc/ldso/ldso/mips/ld_syscalls.h, /var/cvs/uClibc/ldso/ldso/ldso.c:
	More mips support from sjhill

2002-03-26  miles  <miles@dillweed>

	* /var/cvs/uClibc/include/elf.h: Add EM_CYGNUS_V850.

2002-03-25  Erik Andersen  <andersen@dillweed>

	* /var/cvs/uClibc/libm/Makefile, /var/cvs/uClibc/libm/w_sqrtf.c:
	Implement sqrtf(), needed for libstdc++ on arm
	 -Erik

	* /var/cvs/uClibc/extra/Configs/Config.mips, /var/cvs/uClibc/extra/Configs/Config.mipsel:
	Mips config fixes from Steven J. Hill

	* /var/cvs/uClibc/libc/misc/ttyent/getttyent.c:
	Patch from Steven J. Hill to disable __fsetlocking when
	threads are disabled.  Bug is my fault.  oops.
	 -Erik

	* /var/cvs/uClibc/Makefile:
	Patch from Steven J. Hill to fix pthreads on mips

	* /var/cvs/uClibc/include/sys/sysinfo.h:
	Include our own copy of struct sysinfo to avoid binary compatibility
	problems with Linux 2.4, which changed things.  And thereby reduce by
	one more the kernel headers we depend on...
	 -Erik

2002-03-22  Erik Andersen  <andersen@dillweed>

	* /var/cvs/uClibc/extra/gcc-uClibc/gcc-uClibc.c:
	It doesn't make sense to supress linking for -i or -r,
	 -Erik

	* /var/cvs/uClibc/libc/stdio/printf.c:
	Add in a knob to disable %m support
	 -Erik

	* /var/cvs/uClibc/Makefile:
	Patch from Miles Bader to be less militant when doing a make clean.

	* /var/cvs/uClibc/extra/gcc-uClibc/Makefile, /var/cvs/uClibc/extra/gcc-uClibc/gcc-uClibc.c:
	Fix incorrect ordering of -L and -l options, which prevented things
	like iproute2 and XFree86 from linking.
	 -Erik

2002-03-21  Erik Andersen  <andersen@dillweed>

	* /var/cvs/uClibc/libc/sysdeps/linux/common/initfini.c:
	Remove include file, in case it is broken.  We don't need it here.
	 -Erik

	* /var/cvs/uClibc/docs/uclibc.org/index.html: Fix grammar

	* /var/cvs/uClibc/docs/uclibc.org/index.html:
	Update webpage a little bit for clarity

	* /var/cvs/uClibc/Makefile: Add some phony targets

	* /var/cvs/uClibc/test/stdlib/qsort.c:
	Put the chdir back, to simplify testing now that scandir
	doesn't segfault anymore

	* /var/cvs/uClibc/Makefile:
	Always build the utils.  Always clean libc/misc, since there is
	some auto generated stuff in there
	 -Erik

	* /var/cvs/uClibc/include/ttyent.h: Add the ttyent.h header file

	* /var/cvs/uClibc/docs/uclibc.org/robots.txt: Be kind to robots

	* /var/cvs/uClibc/docs/uclibc.org/FAQ.html: Update the FAQ a little bit

	* /var/cvs/uClibc/docs/uclibc.org/index.html: Update webpage

	* /var/cvs/uClibc/docs/uclibc.org/cvs_anon.html, /var/cvs/uClibc/docs/uclibc.org/cvs_write.html:
	Fix anon password

	* /var/cvs/uClibc/Changelog: Alphabetize

	* /var/cvs/uClibc/TODO: Update TODO list for next release

	* /var/cvs/uClibc/Rules.mak: Bump up version number

	* /var/cvs/uClibc/libc/misc/ttyent/Makefile, /var/cvs/uClibc/libc/misc/ttyent/getttyent.c, /var/cvs/uClibc/libc/misc/Makefile:
	Support getttyent and friends so ncurses will compile

	* /var/cvs/uClibc/libc/stdio/Makefile, /var/cvs/uClibc/libc/stdio/stdio.c:
	Compile in flockfile and friends by default
	 -Erik

	* /var/cvs/uClibc/Changelog, /var/cvs/uClibc/Changelog.full:
	Update Changelog in preparation for a release.
	 -Erik

